Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxAtmSch.h File Reference Header file for the IXP425 ATM Traffic Shaper. More... Go to the source code of this file.
## Defines
#define | IX_ATMSCH_RET_NOT_ADMITTED
| Indicates that CAC function has rejected VC registration due to insufficient line capacity.
#define | IX_ATMSCH_RET_QUEUE_FULL
| Indicates that the VC queue is full, no more demand can be queued at this time.
#define | IX_ATMSCH_RET_QUEUE_EMPTY
| Indicates that all VC queues on this port are empty and therefore there are no cells to be scheduled at this time.
## Functions
IX_STATUS | ixAtmSchInit (void)
| This function is used to initialize the ixAtmSch component. It should be called before any other IxAtmSch API function.
IX_STATUS | ixAtmSchPortModelInitialize (IxAtmLogicalPort port, unsigned int portRate, unsigned int minCellsToSchedule)
| This function shall be called first to initialize an ATM port before any other ixAtmSch API calls may be made for that port.
IX_STATUS | ixAtmSchPortRateModify (IxAtmLogicalPort port, unsigned int portRate)
| This function is called to modify the portRate on a previously initialized port, typically in the event that the line condition of the port changes.
IX_STATUS | ixAtmSchVcModelSetup (IxAtmLogicalPort port, IxAtmTrafficDescriptor *trafficDesc, IxAtmSchedulerVcId *vcId)
| A client calls this interface to set up an upstream (transmitting) virtual connection model (VC) on the specified ATM port. This function also provides the virtual * connection admission control (CAC) service to the client.
IX_STATUS | ixAtmSchVcConnIdSet (IxAtmLogicalPort port, IxAtmSchedulerVcId vcId, IxAtmConnId vcUserConnId)
| A client calls this interface to set the vcUserConnId for a VC on the specified ATM port. This vcUserConnId will default to IX_ATM_IDLE_CELLS_CONNID if this function is not called for a VC. Hence if the client does not call this function for a VC then only idle cells will be scheduled for this VC.
IX_STATUS | ixAtmSchVcModelRemove (IxAtmLogicalPort port, IxAtmSchedulerVcId vcId)
| Interface called by the client to remove a previously established VC on a particular port.
IX_STATUS | ixAtmSchVcQueueUpdate (IxAtmLogicalPort port, IxAtmSchedulerVcId vcId, unsigned int numberOfCells)
| The client calls this function to notify IxAtmSch that the user of a VC has submitted cells for transmission.
IX_STATUS | ixAtmSchVcQueueClear (IxAtmLogicalPort port, IxAtmSchedulerVcId vcId)
| The client calls this function to remove all currently queued cells from a registered VC. The pending cell count for the specified VC is reset to zero.
IX_STATUS | ixAtmSchTableUpdate (IxAtmLogicalPort port, unsigned int maxCells, IxAtmScheduleTable **rettable)
| The client calls this function to request an update of the schedule table for a particular ATM port.
void | ixAtmSchShow (void)
| Utility function which will print statistics on the current and accumulated state of VCs and traffic in the ATM scheduler component. Output is sent to the default output device.
void | ixAtmSchStatsClear (void)
| Utility function which will reset all counter statistics in the ATM scheduler to zero.
## Detailed Description Header file for the IXP425 ATM Traffic Shaper. Date: 23-NOV-2001 This component demonstrates an ATM Traffic Shaper implementation. It will perform shaping on upto 12 ports and total of 44 VCs accross all ports, 32 are intended for AAL0/5 and 12 for OAM (1 per port). The supported traffic types are;1 rt-VBR VC where PCR = SCR. (Effectively CBR) and Up-to 44 VBR VCs. This component models the ATM ports and VCs and is capable of producing a schedule of ATM cells per port which can be supplied to IxAtmdAcc for execution on the data path. Version: Revision 1.23 -- Intel Copyright Notice -- Copyright 2001-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- See also: IxAtmm.h Definition in file IxAtmSch.h.
Automatically generated from sources. © Intel Corp. 2003